Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class WriteResponse

    java.lang.Object
      org.apache.cassandra.db.WriteResponse

    public class WriteResponse

extends java.lang.Object

Nested Class Summary
`static class` | `WriteResponse.WriteResponseSerializer`

Constructor Summary
`WriteResponse(java.lang.String table, java.lang.String key, boolean bVal)`

Method Summary
`boolean` | `isSuccess()`
`java.lang.String` | `key()`
`static Message` | `makeWriteResponseMessage(Message original, WriteResponse writeResponseMessage)`
`static WriteResponse.WriteResponseSerializer` | `serializer()`
`java.lang.String` | `table()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WriteResponse

    public WriteResponse(java.lang.String table,
                         java.lang.String key,
                         boolean bVal)

Method Detail

### serializer

    public static WriteResponse.WriteResponseSerializer serializer()

### makeWriteResponseMessage

    public static Message makeWriteResponseMessage(Message original,
                                                   WriteResponse writeResponseMessage)
                                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### table

    public java.lang.String table()

### key

    public java.lang.String key()

### isSuccess

    public boolean isSuccess()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation